Bug 1620469 - Brick process NOT ONLINE for heketidb and block-hosting volume
Summary: Brick process NOT ONLINE for heketidb and block-hosting volume
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: RHGS 3.4.0
Assignee: Atin Mukherjee
QA Contact: Bala Konda Reddy M
URL:
Whiteboard:
Depends On: 1620544
Blocks: 1503137 1619392
TreeView+ depends on / blocked
 
Reported: 2018-08-23 06:39 UTC by Atin Mukherjee
Modified: 2018-09-04 06:53 UTC (History)
14 users (show)

Fixed In Version: glusterfs-3.12.2-17
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1619392
: 1620544 (view as bug list)
Environment:
Last Closed: 2018-09-04 06:52:17 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:53:50 UTC

Comment 8 Bala Konda Reddy M 2018-08-27 07:02:59 UTC
Build: 3.12.2-17

1. On a three node cluster with brick-mux enabled 
2. Created 500 volumes and started them.
3. on one node(N1), performed pkill glusterd, pkill gluster.
4. For the first brick of the first volume changed the pid entry in /var/run/gluster/vols/test_1/<brick.pid> to another process pid
5. Started glusterd on node1 N1 and bricks got new pid and no deadlock seen for brick process and all the bricks are online .

All the bricks are up and online not seen any deadlock for glusterfsd. Tried the above scenario couple of times. Didn't hit this issue

Hence moving it to verified.

Comment 10 errata-xmlrpc 2018-09-04 06:52:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.